Subject: [Isis-wg] Doubts in draft-ietf-isis-wg-mib-03.txt

From: Ravindra Rathi <[email-masked]>
Date: Mon, 04 Sep 2000 15:28:44 +0530

Hello all,
    I have few doubts as well as suggestions for the current version of this draft.
Please go through them and let me know your comments.

1.  Following object identifiers have "null" description clause in the draft
        a. isisSystem
        b. isisCirc
        c. isisIsAdj
        d  isisReachAddr
        e. isisIPReachAddr
        f. isisIPDest
                   Normally description clauses are not null. So either descriptions
can be added to them. (The descriptions are already there in the draft before the
start of the mib module.) or we can have just something like this.

e.g
        isisSystem   OBJECT IDENTIFIER ::= {isis 1 }
       isisCirc  OBJECT IDENTIFIER ::= { isis 2 }
etc.

2.  At present, type TOS  is defined as follows.

  TOS ::= INTEGER
                 {
                     default(1),
                     delay(2),
                     expense(3),
                     error(4)
                  }

 This could also have been a  TEXTUAL-CONVENTION instead INTEGER.
The same thing applies to type 'PathCost.' Am I missing something ?

3.  For all of the following tables in the MIB, one of the indices of the table  identifies
the instance of Integrated IS-IS to which the particular row corresponds.

Tables of interest are
    a. isisSysTable
    b. isis isisManAreaAddrTable
    c. isisAreaAddrTable
    d. isisSysProtSuppTable
    e. isisSummAddrTable

            Instead of each of these tables defining one object which acts as an index
to identify the same thing (i.e instance of Integrated IS-IS), only one table can (say
isisSysTable) define the object  to identify the instance of the integrated IS-IS.
Presently the object which identifies the instance of  Integrated IS-IS in "isisSysTable" is
"isisSysInstance". All other tables can use this object as an index(external indexing )
instead of defining their own object to serve the same purpose. Also by  using the same
object for indexing  for all the tables consistency is maintained across the tables to
identify the instance of Integrated IS-IS.

4. ResettingTimer behaviour definition
        The description there applies to objects who follow ResettingTimer  behaviour.
Defining TEXTUAL-CONVENTION can be better
way of  documenting the behaviour provided it is possible. I suppose this
is not possible here. Same thing applies to  "OperationalState behaviour definition".
    Also definition of  these behaviours use the phrase "This object". I feel
it would have been more appropriate to use the phrase "objects following this
behaviour".

5. The description clause of many objects refer to "replaceOnlyWhile
    Disabled behaviour". But  I was not able to find documentation for
this behaviour in the draft.

6. Description clause of  few objects is not very clear.
    e.g  for "isisSysPartChanges" it is
            DESCRIPTION
                 "partition changes".
        The above description  not really indicates what aspect of  "partition changes"
is being managed by this object ?

                        I might me missing something in above doubts. So please
enlighten me with the same.

Thanks
Rathi
--
Ravindra Rathi
Cisco Systems
"Waterford", #9, Brunton Road
Bangalore-560 001
Tel: +91-80-532 1300 - 1306 x: 6315

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg